# Create module example

Endpoint to upload README and Terraform source files for a single example directory of a module version

Endpoint: POST /iacm/api/modules/{name}/{system}/{version}/examples
Version: 1.0
Security: x-api-key

## Query parameters:

  - `scope_org` (string)
    org name
    Example: "Laborum rerum voluptatem consequatur."

  - `scope_project` (string)
    project name
    Example: "Sit iure a et eum nihil sunt."

  - `path` (string, required)
    relative path under the module root; must be "examples" or begin with "examples/" (e.g. "examples/eks-auto-mode")
    Example: "hx"

## Path parameters:

  - `name` (string, required)
    module name
    Example: "Iure aut minus quam."

  - `system` (string, required)
    system name
    Example: "Cumque nesciunt quaerat officiis deserunt dolor."

  - `version` (string, required)
    version of the module
    Example: "Rerum delectus fugit laudantium perferendis."

## Header parameters:

  - `Harness-Account` (string, required)
    account name
    Example: "Optio ut harum placeat architecto omnis."

  - `Content-Type` (string, required)
    Content-Type header (multipart/form-data with boundary)
    Example: "Qui dolorum velit."

  - `Content-Length` (integer)
    Size in bytes of the multipart body
    Example: 4870268399397385000

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


## Response 201 fields
